clear all
close all
clc

G=load('Vane_rid.mat');
ToothProfile=G.xyv_rid';
n=length(ToothProfile);
ToothMatrix=[ToothProfile(1,:);ToothProfile(2,:);ones(1,n);ones(1,n)];
ToothMatrix(2,:)=-ToothMatrix(2,:);

%%% number of teeth
z=17;
%%% module
m=3;
%%% pressure angle
alpha=20;

Radius2 = z*m/2;                    %spur gear formula
Radius1 = Radius2;                  %we assume gears of equal radii
E       = Radius1 + Radius2;

TrajectoryMatrix=zeros(4,n,100);    %100 angle iterations.

for i=1:100
     Phi2=180+i/2-26;
     Phi1=Phi2*Radius2/Radius1;
    
     M12=[ cosd(Phi1+Phi2)    sind(Phi1+Phi2)    0    -E*sind(Phi1);
          -sind(Phi1+Phi2)    cosd(Phi1+Phi2)    0    -E*cosd(Phi1);
           0                  0                  1    0           ;
           0                  0                  0    1           ];

    TrajectoryMatrix(:,:,i)=M12*ToothMatrix;
end
 plot(TrajectoryMatrix(1,:,1),TrajectoryMatrix(2,:,1),'red')
     axis equal
     hold on
 for j=2:100
     plot(TrajectoryMatrix(1,:,j),TrajectoryMatrix(2,:,j),'black')
     axis equal
     hold on
 end
 
  
  