close all
clear all
clc

R1=50;
R2=50;

E=R1+R2;

%Phi1=[0:1:360];
%Phi2=Phi1*R1/R2;

%%Square tooth
%Coordinate of tooth edges in frame 2
P1=[ 3.5  -R2-2.5   0   1]';
P2=[ 2.5  -R2-2.5   0   1]';
P3=[ 1    -R2+2.5   0   1]';
P4=[-1    -R2+2.5   0   1]';
P5=[-2.5  -R2-2.5   0   1]';
P6=[-3.5  -R2-2.5   0   1]';

P1traj=zeros(721,4);
P2traj=zeros(721,4);
P3traj=zeros(721,4);
P4traj=zeros(721,4);
P5traj=zeros(721,4);
P6traj=zeros(721,4);
%%Transformation matrix
for i=1:721
      
    Phi1=i/2-16;
    Phi2=Phi1*R1/R2;

    M12=[ cosd(Phi1+Phi2)    sind(Phi1+Phi2)    0    E*sind(Phi1);
         -sind(Phi1+Phi2)    cosd(Phi1+Phi2)    0    E*cosd(Phi1);
          0                  0                  1    0           ;
          0                  0                  0    1           ];

  P1traj(i,:)=(M12*P1)';
  P2traj(i,:)=(M12*P2)';
  P3traj(i,:)=(M12*P3)';
  P4traj(i,:)=(M12*P4)';
  P5traj(i,:)=(M12*P5)';
  P6traj(i,:)=(M12*P6)';
end

Seg1=zeros(361,2);
Seg2=zeros(361,2);
Seg3=zeros(361,2);
Seg4=zeros(361,2);
Seg5=zeros(361,2);

plot([P1traj(1,1) P2traj(1,1)],[P1traj(1,2) P2traj(1,2)],'r')
hold on
plot([P2traj(1,1) P3traj(1,1)],[P2traj(1,2) P3traj(1,2)],'r')
hold on
plot([P3traj(1,1) P4traj(1,1)],[P3traj(1,2) P4traj(1,2)],'r')
hold on
plot([P4traj(1,1) P5traj(1,1)],[P4traj(1,2) P5traj(1,2)],'r')
hold on 
plot([P5traj(1,1) P6traj(1,1)],[P5traj(1,2) P6traj(1,2)],'r')
hold on
for j=2:60
    
plot([P1traj(j,1) P2traj(j,1)],[P1traj(j,2) P2traj(j,2)],'b')
hold on
plot([P2traj(j,1) P3traj(j,1)],[P2traj(j,2) P3traj(j,2)],'b')
hold on
plot([P3traj(j,1) P4traj(j,1)],[P3traj(j,2) P4traj(j,2)],'b')
hold on
plot([P4traj(j,1) P5traj(j,1)],[P4traj(j,2) P5traj(j,2)],'b')
hold on 
plot([P5traj(j,1) P6traj(j,1)],[P5traj(j,2) P6traj(j,2)],'b')
hold on
axis equal
end
