clear all
close all
clc

G=load('Vane_rid.mat');
ToothProfile=G.xyv_rid';
n=length(ToothProfile);

ToothProfileMatrix1=[ToothProfile(1,:);ToothProfile(2,:);-7.5*ones(1,n);ones(1,n)];
ToothProfileMatrix2=[ToothProfile(1,:);ToothProfile(2,:);7.5*ones(1,n);ones(1,n)];
ToothProfileMatrix1(2,:)=-ToothProfileMatrix1(2,:);
ToothProfileMatrix2(2,:)=-ToothProfileMatrix2(2,:);

%%% number of teeth
z=17;
%%% module
m=3;
%%% pressure angle
alpha=20;
%%% helix angle
Psi=15;

Radius2 = z*m/2;                    %spur gear formula
Radius1 = Radius2;                  %we assume gears of equal radii
E       = Radius1 + Radius2;

TrajectoryMatrix1=zeros(4,n,100);    %100 angle iterations.
TrajectoryMatrix2=zeros(4,n,100);    %100 angle iterations.

for i=1:100
     Phi2=180+i/2-26;
     Phi1=cosd(Psi)*Phi2*Radius2/Radius1;
          M12=[ cosd(Phi1+Phi2)    sind(Phi1+Phi2)    0    -E*sind(Phi1);
               -sind(Phi1+Phi2)    cosd(Phi1+Phi2)    0    -E*cosd(Phi1);
                0                  0                  1     0           ;
                0                  0                  0     1           ]; 
       Roty=[ cosd(Psi)  0   sind(Psi)   0;
              0          1   0           0;
             -sind(Psi)  0   cosd(Psi)   0;
              0          0   0           1];
       TrajectoryMatrix1(:,:,i)=M12*Roty*ToothProfileMatrix1;
       TrajectoryMatrix2(:,:,i)=M12*Roty*ToothProfileMatrix2;
       
end
 plot3(TrajectoryMatrix1(1,:,1),TrajectoryMatrix1(2,:,1),TrajectoryMatrix1(3,:,1),'red')
 hold on
 plot3(TrajectoryMatrix2(1,:,1),TrajectoryMatrix2(2,:,1),TrajectoryMatrix2(3,:,1),'red')
 hold on
 for i=1:n
     plot3([TrajectoryMatrix1(1,i,1) TrajectoryMatrix2(1,i,1)],[TrajectoryMatrix1(2,i,1) TrajectoryMatrix2(2,i,1)],[TrajectoryMatrix1(3,i,1) TrajectoryMatrix2(3,i,1)],'red')
     hold on
 end
 for j=2:100
     plot3(TrajectoryMatrix1(1,:,j),TrajectoryMatrix1(2,:,j),TrajectoryMatrix1(3,:,j),'black')
     hold on
     plot3(TrajectoryMatrix2(1,:,j),TrajectoryMatrix2(2,:,j),TrajectoryMatrix2(3,:,j),'black')
     hold on
     for i=1:100:n
     plot3([TrajectoryMatrix1(1,i,j) TrajectoryMatrix2(1,i,j)],[TrajectoryMatrix1(2,i,j) TrajectoryMatrix2(2,i,j)],[TrajectoryMatrix1(3,i,j) TrajectoryMatrix2(3,i,j)],'Color',[0 0 0]+0.5)
     hold on
     end
 end
  axis equal

