clear all
close all
clc

G=load('Updated_Shaper.mat');
ToothProfile=G.shaper';
n=length(ToothProfile);
ToothMatrix=[ToothProfile(1,:);ToothProfile(2,:);ones(1,n);ones(1,n)];
ToothMatrix(2,:)=-ToothMatrix(2,:);

%%% number of teeth of gear shaper
z=17;
%%% module
m=3;
%%% pressure angle
alpha=20;

Radius1 = z*m/2;                        %spur gear formula
Radius2 = Radius1*8;    

%Shaper 
Addendum_shaper=1.3*m;
Dedendum_shaper=1*m;

%Blank target dimensions
Addendum = 1*m;
Dedendum = 1.25*m;

%Centers disstance
clearance=Addendum_shaper - Dedendum;
E       = Radius2 - Radius1 - clearance;



TrajectoryMatrix=zeros(4,n,120);    %100 angle iterations.

for i=1:120
     Phi1=180+i/2-36;
     Phi2=Phi1*Radius1/Radius2;
    
     M21=[ cosd(Phi1-Phi2)    sind(Phi1-Phi2)    0    -E*sind(Phi2);
          -sind(Phi1-Phi2)    cosd(Phi1-Phi2)    0    E*cosd(Phi2);
           0                  0                  1    0           ;
           0                  0                  0    1           ];
       k=-22.5+180;
Rot_k=[cosd(k)  -sind(k)  0   0;
       sind(k)   cosd(k)  0   0;
       0           0      1   0;
       0           0      0   1];
    TrajectoryMatrix(:,:,i)=Rot_k*M21*ToothMatrix;
    
end

CircleDrawing(0,0,Radius2)
 hold on
 CircleDrawing(0,0,Radius2+Dedendum)
 hold on
 CircleDrawing(0,0,Radius2-Addendum)
 hold on
 legend('Pitch Circle','Dedendum Circle','Addendum Circle')
 
 plot(TrajectoryMatrix(1,:,1),TrajectoryMatrix(2,:,1),'red')
     axis equal
     hold on
 for j=2:120
     plot(TrajectoryMatrix(1,:,j),TrajectoryMatrix(2,:,j),'black')
     axis equal
     hold on
 end
 
